#!/bin/sh
#emuname=CCcam 2.1.4
#ecminfofile=ecm.info

remove_tmp () {
	rm -rf /tmp/ecm.info /tmp/ecm0.info /tmp/pid.info /tmp/cardinfo
}

case "$1" in
	start)
	remove_tmp
	sleep 1
	/var/bin/CCcam_2.1.4 &
	sleep 3
	;;
	stop)
	touch /tmp/CCcam.kill
	sleep 3
	killall -9 CCcam_2.1.4 2>/dev/null
	sleep 2
	remove_tmp
	;;
	*)
	$0 stop
	exit 1
	;;
esac

exit 0
